Package com.xebialabs.xlrelease.domain

# Class ExternalVariableServer

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.ExternalVariableServer

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, virtual=true, versioned=false) public class ExternalVariableServer extends Configuration
Configuration object for external variables to lookup their value with.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalVariableServer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getToken()`
  `String`
  `getUrl()`
  `int`
  `hashCode()`
  `Map<String,String>`
  `lookup(List<PasswordStringVariable> variables)`
  Resolves a list of password variables from an external server implementation.
  `void`
  `setToken(String token)`
  `void`
  `setUrl(String url)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExternalVariableServer

    public ExternalVariableServer()

- ## Method Details

  - ### lookup

    public Map<String,String> lookup(List<PasswordStringVariable> variables)
    Resolves a list of password variables from an external server implementation. This method is not part of public API. DO NOT use it.
    Parameters:
      `variables` - the password variables that need resolving
    Returns:
      A map of external server values mapped to Variable#getKey()
    See Also:
      - `Variable.getKey()`

  - ### getToken

    public String getToken()

  - ### setToken

    public void setToken(String token)

  - ### getUrl

    public String getUrl()

  - ### setUrl

    public void setUrl(String url)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseConfigurationItem`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseConfigurationItem`